This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 880428 - Listing files won't work in all ways after fuse mount and pm-hibernate
Listing files won't work in all ways after fuse mount and pm-hibernate
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fuse-sshfs (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
: 880409 880425 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 19:17 EST by masterid2
Modified: 2015-02-17 09:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:35:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description masterid2 2012-11-26 19:17:38 EST
Description of problem:
"ls" won't work after fusermount and pm-hibernate
This can happen in all Fedora releases.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.sshfs mount a remote directory
2.pm-hibernate
3.awake ur system after a while (maybe 1 hour)
  
Actual results:
List directory commands like "ls" won't work.
File browsers won't work either.
No respond from those programs.

Expected results:
They work properly.

Additional info:
Linux 3.6.7-4.fc17.x86_64 #1 x86_64 x86_64 x86_64 GNU/Linux

The only way to recover it is to restart the system.
Comment 1 masterid2 2012-11-26 19:21:09 EST
*** Bug 880425 has been marked as a duplicate of this bug. ***
Comment 2 Jaroslav Škarvada 2012-11-27 03:36:11 EST
Probably fuse-sshfs problem. It should re-establish or drop the connection, not deadlock/respond with big timeout. Currently I have no idea how we could workaround this in pm-utils.
Comment 3 masterid2 2012-11-27 10:34:48 EST
I am asking fuse-sshfs@lists.sourceforge.net.
Comment 4 Jaroslav Škarvada 2012-11-27 10:47:01 EST
The only thing we could do in pm-utils is unmounting sshfs mounts before suspending. It could be tricky as the mounts could be in use by running processes. I think the fuse-sshfs should itself cope correctly with the suspend/resume.
Comment 5 Richard Hughes 2012-11-27 11:27:39 EST
(In reply to comment #4)
> I think the fuse-sshfs should itself cope correctly with the
> suspend/resume.

100% agree.
Comment 6 masterid2 2012-11-27 11:59:36 EST
Could you tell me a quick AUTOMATIC way to unmount sshfs mounts before suspending?
I would like to implement this solution as a temporary fix.
Comment 7 Jaroslav Škarvada 2012-11-27 14:25:48 EST
(In reply to comment #6)
> Could you tell me a quick AUTOMATIC way to unmount sshfs mounts before
> suspending?
> I would like to implement this solution as a temporary fix.

The following approach should work - put the file with the following content into /etc/pm/sleep.d/. It can have any name, but it needs to be executable:

#!/bin/sh

case "$1" in
  hibernate|suspend) umount -lat fuse.sshfs ;;
esac
Comment 8 Jaroslav Škarvada 2012-11-27 14:28:37 EST
Reassigning to fuse-sshfs per comments 2,4,5.
Comment 9 masterid2 2012-11-29 19:46:09 EST
(In reply to comment #7)
> (In reply to comment #6)
> > Could you tell me a quick AUTOMATIC way to unmount sshfs mounts before
> > suspending?
> > I would like to implement this solution as a temporary fix.
> 
> The following approach should work - put the file with the following content
> into /etc/pm/sleep.d/. It can have any name, but it needs to be executable:
> 
> #!/bin/sh
> 
> case "$1" in
>   hibernate|suspend) umount -lat fuse.sshfs ;;
> esac

Thanks. It works.

BTW, I got nothing back from fuse-sshfs@lists.sourceforge.net. If you know someone there, please ask them to fix this bug.
Comment 10 Peter Lemenkov 2012-12-05 23:33:55 EST
*** Bug 880409 has been marked as a duplicate of this bug. ***
Comment 11 masterid2 2013-02-19 20:04:08 EST
What's going on? No one from fuse-sshfs is going to fix this problem?
Comment 12 Fedora End Of Life 2013-04-03 11:51:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 13 Fedora End Of Life 2015-01-09 12:29:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 09:35:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.